### Enumeration

# AppStreamCompose ComposeFlags

since: 1.0

#### Declaration

    flags AppStreamCompose.ComposeFlags

#### Description

No description available.

Available since: 1.0

#### Members

`ASC_COMPOSE_FLAG_NONE`
  No description available.
  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_USE_THREADS`
  No description available.
  - Value: `1`
  - Nickname: `use-threads`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_ALLOW_NET`
  No description available.
  - Value: `2`
  - Nickname: `allow-net`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_VALIDATE`
  No description available.
  - Value: `4`
  - Nickname: `validate`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_STORE_SCREENSHOTS`
  No description available.
  - Value: `8`
  - Nickname: `store-screenshots`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_ALLOW_SCREENCASTS`
  No description available.
  - Value: `16`
  - Nickname: `allow-screencasts`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_FONTS`
  No description available.
  - Value: `32`
  - Nickname: `process-fonts`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_TRANSLATIONS`
  No description available.
  - Value: `64`
  - Nickname: `process-translations`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_IGNORE_ICONS`
  No description available.
  - Value: `128`
  - Nickname: `ignore-icons`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_UNPAIRED_DESKTOP`
  No description available.
  - Value: `256`
  - Nickname: `process-unpaired-desktop`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROPAGATE_CUSTOM`
  No description available.
  - Value: `512`
  - Nickname: `propagate-custom`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROPAGATE_ARTIFACTS`
  No description available.
  - Value: `1024`
  - Nickname: `propagate-artifacts`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_NO_FINAL_CHECK`
  No description available.
  - Value: `2048`
  - Nickname: `no-final-check`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_NO_PARTIAL_URLS`
  No description available.
  - Value: `4096`
  - Nickname: `no-partial-urls`
  - Available since: 1.0